import { Type } from "@typespec/compiler";
import { FunctionComponent } from "react";
export interface TypeUIBaseProperty {
    name: string;
    value: any;
    description?: string;
}
export interface TypeUIBaseProps {
    type: Type;
    name: string;
    /**
     * Alternate id
     * @default getIdForType(type)
     */
    id?: string;
    properties: TypeUIBaseProperty[];
}
export declare const TypeUIBase: FunctionComponent<TypeUIBaseProps>;
//# sourceMappingURL=type-ui-base.d.ts.map